com.streambase.sb.monitor

## Class StatsUtil.IdentityManager

- java.lang.Object
- - com.streambase.sb.monitor.StatsUtil.IdentityManager

- Enclosing class:
    StatsUtil

      public static class StatsUtil.IdentityManager
      extends Object

  This class manages the identity in server

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) com.streambase.sb.google.common.collect.BiMap<String,Integer>` | `containers`
    `(package private) Map<Integer,com.streambase.sb.monitor.StatsUtil.ContainerIdentity>` | `identities`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<Integer,String>` | `getAllForContainer(int id)` Get the id to name mapping for the whole container that owns the id
    `int` | `getContainerCount()`
    `String` | `getName(long id)` Get the name associated with the ID.
    `void` | `purgeRemoved()`
    `long` | `putIfAbsent(String containerName, String itemName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### containers

          com.streambase.sb.google.common.collect.BiMap<String,Integer> containers

    - #### identities

          Map<Integer,com.streambase.sb.monitor.StatsUtil.ContainerIdentity> identities

  - ### Constructor Detail

    - #### IdentityManager

          public IdentityManager()

  - ### Method Detail

    - #### putIfAbsent

          public long putIfAbsent(String containerName,
                                  String itemName)

    - #### purgeRemoved

          public void purgeRemoved()

    - #### getName

          public String getName(long id)

      Get the name associated with the ID.
      Parameters:
        `id` -
      Returns:
        a name

    - #### getAllForContainer

          public Map<Integer,String> getAllForContainer(int id)

      Get the id to name mapping for the whole container that owns the id
      Parameters:
        `id` -
      Returns:
        name

    - #### getContainerCount

          public int getContainerCount()

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.